//
//    Copyright 2011 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include <QDebug>
#include "tqdc_types.h"

QDebug operator<<(QDebug dbg, const tqdc_setup_t &s)
{
    dbg.nospace() << static_cast<const tdc_setup_t &>(s);
    dbg.nospace() << " tqdc_setup:\n";
    dbg.nospace() << "  adc_mode " << s.adc_mode << "\n";
    dbg.nospace() << "  adc_search " << s.adc_search << "\n";
    dbg.nospace() << "  adc_match " << s.adc_match << "\n";
    dbg.nospace() << "  trlat " << s.trlat << "\n";
    dbg.nospace() << "  thr {";
    for (int i=0; i<s.nch; i++)
        dbg.nospace() << s.thr[i] << " ";
    dbg.nospace() << "}\n";
    dbg.nospace() << "  maj " << s.maj << "\n";
    dbg.nospace() << "  min " << s.min << "\n";
    dbg.nospace() << "  trlat " << s.trlat << "\n";
    dbg.nospace() << "  neg_a " << s.neg_a << "\n";
    dbg.nospace() << "  neg_b " << s.neg_b << "\n";
//    dbg.nospace() << "  trigset " << s.trigset << "\n";
    return dbg.maybeSpace();
}
